Loading...
Searching...
No Matches
Dune::IsType< T > Struct Template Reference
Common » Utilities » Tuple Utilities

Generator for predicates accepting one particular type. More...

`#include <dune/common/tupleutility.hh>`

## Classes

struct | Predicate
| The actual predicate. More...

## Detailed Description

template<class T>
struct Dune::IsType< T >

Generator for predicates accepting one particular type.

Template Parameters

  T | The type to accept.

The generated predicate class is useful together with FirstPredicateIndex. It will accept exactly the type that is given as the `T` template parameter.

The documentation for this struct was generated from the following file:

- tupleutility.hh